Bug 484220 - JMS receivenowait does not return expected message
JMS receivenowait does not return expected message
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
1.1
All Linux
urgent Severity medium
: 1.1.1
: ---
Assigned To: Rafael H. Schloming
Jan Sarenik
IG Index
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 09:41 EST by Arnaud Simon
Modified: 2014-12-01 18:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 12:17:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arnaud Simon 2009-02-05 09:41:32 EST
Description:
The first invocation of receiveNoWait does not return a message even if the queue is full.
How to replicate:
1) create a queue
2) send a message
3) try to consume this message using receiveNoWait
==> we get null even if there is a message seating in the queue 
see: 
https://issues.apache.org/jira/browse/QPID-1642

This issue also impact on queue browser: 
see 
https://issues.apache.org/jira/browse/QPID-1643
Comment 2 Jan Sarenik 2009-04-02 10:02:28 EDT
Works as expected on all supported archs:
 RHEL4, RHEL5, both i386 and x86_64:
   qpid-java-common.noarch 0:0.5.751061-1

Reproduced on qpid-java-common-0.4.743367-1.el4
Comment 4 errata-xmlrpc 2009-04-21 12:17:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0434.html

Note You need to log in before you can comment on or make changes to this bug.